// test.cpp - Operaciones con números complejos.
#include <iostream>
#include "complejo.h"
using namespace std;

void visualizar(const CComplejo&);

int main()
{
  CComplejo a, b, c(1.5, 2), d;
  double re, im;

  cout << "Número complejo - escriba re im: ";
  cin >> re >> im;
  a.AsignarComplejo(re, im);

  b = a;
  d = a + b - c;
  d = d + CComplejo(3, 3);

  visualizar(d);
}

// Visualizar un complejo
void visualizar(const CComplejo& c)
{
  cout << "(" << c.ObtenerParteReal() << ", ";
  cout << c.ObtenerParteImag() << ")" << endl;
}

